API ReferenceapiaffiliatesPOST /v1/attributions/reassign

POST /v1/attributions/reassign

Service: affiliates · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "customer_id": {
      "type": "string",
      "minLength": 1
    },
    "new_affiliate_id": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "customer_id",
    "new_affiliate_id"
  ]
}

Responses

200 Customer reassigned

{
  "type": "object",
  "properties": {
    "customer_id": {
      "type": "string"
    },
    "new_affiliate_id": {
      "type": "string"
    }
  },
  "required": [
    "customer_id",
    "new_affiliate_id"
  ]
}

404 Affiliate not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://affiliates.platform.loop.health/v1/attributions/reassign \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'